Spreaker API is a REST web service located
at: http://api.spreaker.com The web service currently supports different response formats, but we higly encourage the JSON format (other formats are deprecated). You can explicitly set the response format, adding the format query parameter to the request. Example: GET /whoami?format=jsonResponseThe response can be a success or an error. On success the API always returns a 2xx status code, while on error the API could return a 4xx code (client error) or 5xx code (server error). There is a global rule that is valid for all requests: if you get a 5xx status code you should retry the same request, while if you get a 4xx status code the same request will always fail.Success response formatThe success response always contains a response object, whose content can be of three different types:
Example (record): {"response": {"time": {"epoch": 1295955160, "date":"2011-01-25 11:32:40" }}}Error response formatAll the errors thrown by the Spreaker API, are in the same format. The response object contains an error object with the following properties:
|
